Page MenuHomePhabricator

findHooks.php is broken due to short array syntax
Closed, ResolvedPublic

Description

The regex in findHooks.php expects array( ... ), and not short array syntax.

Details

Related Gerrit Patches:

Event Timeline

Legoktm created this task.May 13 2016, 6:53 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 13 2016, 6:53 PM
demon added a subscriber: demon.Jun 10 2016, 4:30 PM

Regular expressions in PHP are a pain. Can't we just use the tokenizer?

Change 293874 had a related patch set uploaded (by Chad):
Support short array syntax in findHooks.php

https://gerrit.wikimedia.org/r/293874

Change 294180 had a related patch set uploaded (by Chad):
Support short array syntax in findHooks.php

https://gerrit.wikimedia.org/r/294180

Change 293874 merged by jenkins-bot:
Support short array syntax in findHooks.php

https://gerrit.wikimedia.org/r/293874

Jdforrester-WMF closed this task as Resolved.Jun 13 2016, 10:00 PM
Jdforrester-WMF assigned this task to demon.
Jdforrester-WMF triaged this task as Medium priority.

Change 294180 merged by jenkins-bot:
Support short array syntax in findHooks.php

https://gerrit.wikimedia.org/r/294180